Searched refs:SHELL (Results 26 - 50 of 113) sorted by relevance

12345

/illumos-gate/usr/src/cmd/ast/
H A DMakefile26 SHELL=/usr/bin/ksh93 macro
/illumos-gate/usr/src/cmd/ypcmd/ypupdated/
H A Dopenchild.c54 static char SHELL[] = "/bin/sh"; variable
110 execl(SHELL, basename(SHELL), "-c", com, NULL);
/illumos-gate/usr/src/lib/libshell/common/tests/
H A Dio.sh129 $SHELL -c '
147 [[ $( $SHELL ./script) == $'hello\nworld' ]] || err_exit 'closing 3 & 4 causes script to fail'
193 [[ $($SHELL $tmp/1) == ok ]] || err_exit "parent i/o causes child script to fail"
264 if $SHELL -c '{n}</dev/null' 2> /dev/null
269 $SHELL -ic '
282 $SHELL -c "{ > $tmp/1 ; date;} >&- 2> /dev/null" > $tmp/2
284 $SHELL -c "$SHELL -c ': 3>&1' 1>&- 2>/dev/null" && err_exit 'closed standard output not passed to subshell'
285 [[ $(cat <<- \EOF | $SHELL
294 $SHELL
[all...]
H A Dsun_solaris_cr_6800929_large_command_substitution_hang.sh142 ${SHELL} -o errexit -c "${currtst.cmd}" >"${tmpfile}.out" &
167 ${SHELL} -o errexit -c 'builtin uniq ; set -- `cat /etc/termcap | sort | uniq` ; true' >/dev/null &
178 ${SHELL} -o errexit -c 'builtin uniq ; set -- ${ cat /etc/termcap | sort | uniq ; } ; true' >/dev/null &
189 ${SHELL} -o errexit -c 'builtin -d uniq /bin/uniq ; set -- `cat /etc/termcap | sort | uniq` ; true' >/dev/null &
200 ${SHELL} -o errexit -c 'builtin -d uniq /bin/uniq ; set -- ${ cat /etc/termcap | sort | uniq ; } ; true' >/dev/null &
H A Darith.sh237 $SHELL -nc '((a = 1))' 2> /dev/null || err_exit "sh -n fails with arithmetic"
238 $SHELL -nc '((a.b++))' 2> /dev/null || err_exit "sh -n fails with arithmetic2"
315 $SHELL -c 'i=0;(( ofiles[i] != -1 && (ofiles[i] < mins || mins == -1) ));exit 0' 2> /dev/null || err_exit 'lexical error with arithemtic expression'
316 $SHELL -c '(( +1 == 1))' 2> /dev/null || err_exit 'unary + not working'
322 $SHELL -c 'typeset x$((10))=foo' 2> /dev/null || err_exit 'typeset x$((10)) parse error'
364 [[ $( ($SHELL -c '((++1))' 2>&1)2>/dev/null ) == *lvalue* ]] || err_exit "((++1)) not generating error message"
434 do [[ $( ( $SHELL -c "( (($expr)) ) || print ok" ) 2>/dev/null ) == ok ]] || err_exit "divide by zero not trapped: $expr"
438 do [[ $( ( $SHELL -c "( print -r -- \$(($expr)) )" ) 2>/dev/null ) == 2 ]] || err_exit "invalid value for: $expr"
441 $SHELL -c 'integer x=3 y=2; (( (y += x += 2) == 7 && x==5))' 2> /dev/null || err_exit '((y += x += 2)) not working'
442 $SHELL
[all...]
H A Dsignal.sh39 $SHELL 2> out2 <<- \EOF
81 # d call next script directly, otherwise via $SHELL -c
249 tst $SHELL > tst.got
256 [[ $($SHELL -c 'trap "print SIGUSR1 ; exit 0" USR1; (trap "" USR1 ; exec kill -USR1 $$ & sleep 5); print done') == SIGUSR1 ]] || err_exit 'subshell ignoring signal does not send signal to parent'
259 [[ $($SHELL -c 'trap "print SIGUSR1 ; exit 0" USR1; (trap "exit" USR1 ; exec kill -USR1 $$ & sleep 5); print done') == SIGUSR1 ]] || err_exit 'subshell catching signal does not send signal to parent'
286 do { $SHELL <<- EOF
300 $SHELL 2> /dev/null -c 'sleep 2 && kill $$ & trap "print done;exit 3" EXIT; (sleep 5);print finished' > $tmp/sig
307 { $SHELL 2> /dev/null -c 'sleep 2 && kill $$ & trap "print done;exit" EXIT; (sleep 5);print finished' > $tmp/sig ;} 2> /dev/null
314 x=$($SHELL 2> /dev/null -c 'sleep 2 && kill $$ & trap "print done;exit 3" EXIT; (sleep 5);print finished')
320 [[ $($SHELL
[all...]
H A Dsun_solaris_staticvariables.sh40 output="$($SHELL -c "${cmd}" 2>&1 )"
H A Dsun_solaris_cr_6907460_EXIT_trap_handlers_are_sometimes_executed_twice.sh168 ${SHELL} ${vari.shell_options} "testscript.sh" >/dev/null 2>&1 || err_exit "${testname}: Unexpected error code $?"
206 ) | ${SHELL} >/dev/null 2>&1 || err_exit "Unexpected error code $?"
H A Dsun_solaris_getconf.sh146 ${SHELL} -c "integer mismatch ; \
163 ${SHELL} -c "integer mismatch ; \
H A Darrays.sh256 $SHELL -c 'x=(if then else fi)' 2> /dev/null || err_exit 'reserved words in x=() assignment not working'
266 if [[ $($SHELL -c 'print $foo') != 143 ]]
269 ( $SHELL -c '
274 [[ $($SHELL -c "print $foo") == 143 ]]'
318 [[ $( ($SHELL -c 'typeset -A var; (IFS=: ; set -A var a:b:c ;print ${var[@]});:' )2>/dev/null) == 'a b c' ]] || err_exit 'change associative to index failed'
338 [[ $($SHELL -c "var=(foo bar);export var;$tmp/script") == foo ]] || err_exit 'export array not exporting just first element'
353 [[ $($SHELL -c "typeset -A foo;$tmp/script") == foo ]] 2> /dev/null || err_exit 'empty associative arrays not being cleared correctly before scripts'
354 [[ $($SHELL -c "typeset -A foo;foo[abc]=abc;$tmp/script") == foo ]] 2> /dev/null || err_exit 'associative arrays not being cleared correctly before scripts'
405 [[ $($SHELL <<- \++EOF+++
419 [[ $($SHELL <<
[all...]
H A Dsubstring.sh284 $SHELL -c $'v=\'$(hello)\'; [[ ${v//\'$(\'/-I\'$(\'} == -I"$v" ]]' 2> /dev/null || err_exit "\${var/pattern} not working with \$( as pattern"
286 $SHELL -c '[[ ! ${X[@]:0:300} ]]' 2> /dev/null || err_exit '${X[@]:0:300} with X undefined fails'
287 $SHELL -c '[[ ${@:0:300} == "$0" ]]' 2> /dev/null || err_exit '${@:0:300} with no arguments fails'
303 [[ $(string=$string $SHELL -c ": \${string/$pattern/}; print \${.sh.match[26]}") == Z ]] || err_exit -u2 'sh.match[26] not Z'
511 if [[ $($SHELL -c $'export LC_ALL=en_US.UTF-8; print -r "\342\202\254\342\202\254\342\202\254\342\202\254w\342\202\254\342\202\254\342\202\254\342\202\254" | wc -m' 2>/dev/null) == 10 ]]
512 then LC_ALL=en_US.UTF-8 $SHELL -c b1=$'"\342\202\254\342\202\254\342\202\254\342\202\254w\342\202\254\342\202\254\342\202\254\342\202\254"; [[ ${b1:4:1} == w ]]' || err_exit 'multibyte ${var:offset:len} not working correctly'
514 { $SHELL -c 'unset x;[[ ${SHELL:$x} == $SHELL ]]';} 2> /dev/null || err_exit '${var:$x} fails when x is not set'
515 { $SHELL
[all...]
H A Dattributes.sh84 if [[ $($SHELL -c 'echo $x') != export ]]
87 if [[ $($SHELL -c 'xi=xi+4;echo $xi') != 24 ]]
90 x=$(foo=abc $SHELL <<!
92 $SHELL -c 'print \$foo'
202 then [[ $(env '!=1' $SHELL -c 'echo ok' 2>/dev/null) == ok ]] || err_exit 'malformed environment terminates shell'
213 [[ $($SHELL -c 'unset foo;typeset -Z2 foo; print ${foo:-3}' 2> /dev/null) == 3 ]] || err_exit '${foo:-3} not 3 when typeset -Z2 field undefined'
214 [[ $($SHELL -c 'unset foo;typeset -Z2 foo; print ${foo:=3}' 2> /dev/null) == 03 ]] || err_exit '${foo:=-3} not 3 when typeset -Z2 foo undefined'
226 [[ $($SHELL -c 'typeset -r IFS=;print -r $(pwd)' 2> /dev/null) == "$(pwd)" ]] || err_exit 'readonly IFS causes command substitution to fail'
291 { $SHELL <<- EOF
297 { $SHELL <<
[all...]
H A Dstatics.sh34 output="$($SHELL -c "${cmd}" 2>&1 )"
H A Dsun_solaris_cr_6763594_command_failure_execs_twice.sh86 ${SHELL} -c 'print "true" >myfoo ; chmod a+x,a-r myfoo ; command ./myfoo ; print $?' 1>out_stdout 2>out_stderr
H A Dsun_solaris_cr_6769332_substitutions_terminate_shell_after_257_iterations.sh117 ) | out="$( ${SHELL} 2>&1 ; )" || err_exit "Shell returned non-zero exit code $?."
H A Dreturn.sh152 x=$($SHELL -i --norc 2> /dev/null <<\!
175 $SHELL <<\!
H A Dsun_solaris_cr_6904878_join_-t_no_longer_works_with_multibyte_char_separator.sh141 out="$(${SHELL} -c "${join_cmd} \"\$@\"" dummy "${join_args[@]}" 2>&1)" || err_exit "${testname}: Command returned exit code $?"
169 out=$( LC_ALL=ja_JP.eucJP ${SHELL} -o pipefail -o errexit -c '$1 -j1 1 -j2 2 -o 1.1 -t $(cat delim) input1 input2' dummy "${joincmd}" 2>&1 ) || err_exit "${testname}: Test failed with exit code $?"
/illumos-gate/usr/src/cmd/sh/
H A Dsh.xcl31 msgid "SHELL"
119 msgid "SHELL"
126 msgid "SHELL"
/illumos-gate/usr/src/lib/libshell/
H A DMakefile27 SHELL=/usr/bin/ksh93 macro
/illumos-gate/usr/src/lib/libdll/
H A DMakefile27 SHELL=/usr/bin/ksh93 macro
/illumos-gate/usr/src/lib/libsum/
H A DMakefile27 SHELL=/usr/bin/ksh93 macro
/illumos-gate/usr/src/lib/libpp/
H A DMakefile26 SHELL=/usr/bin/ksh93 macro
/illumos-gate/usr/src/lib/libcmd/
H A DMakefile28 SHELL=/usr/bin/ksh93 macro
/illumos-gate/usr/src/cmd/ast/msgcc/
H A DMakefile26 SHELL=/usr/bin/ksh93 macro
/illumos-gate/usr/src/cmd/bnu/
H A Dshio.c78 (void) execle(SHELL, "sh", "-c", cmd, (char *) 0, Env);

Completed in 160 milliseconds

12345